Name:           perl-Test-MockObject
Version:        1.20180705
Release:        1%{?dist}
Summary:        Perl extension for emulating troublesome interfaces
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-MockObject/
Source0:        http://www.cpan.org/authors/id/C/CH/CHROMATIC/Test-MockObject-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CGI) >= 4.15
BuildRequires:  perl(constant)
BuildRequires:  perl(Devel::Peek)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(fields)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Exception) >= 0.31
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Warn) >= 0.23
BuildRequires:  perl(UNIVERSAL::can) >= 1.20110617
BuildRequires:  perl(UNIVERSAL::isa) >= 1.20110614
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(constant)
Requires:       perl(Devel::Peek)
Requires:       perl(Scalar::Util)
Requires:       perl(strict)
Requires:       perl(Test::Builder)
Requires:       perl(UNIVERSAL::can) >= 1.20110617
Requires:       perl(UNIVERSAL::isa) >= 1.20110614
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
It's a simple program that doesn't use any other modules, and those are
easy to test. More often, testing a program completely means faking up
input to another module, trying to coax the right output from something
you're not supposed to be testing anyway.

%prep
%setup -q -n Test-MockObject-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 15 2019 Michael Stauber <mstauber@blueonyx.it> 1.20180705-1
- Specfile autogenerated by cpanspec 1.78.
